package com.sdtool.common.entity.system;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2020-10-10
 * 消息类型
 * @author jlutt
 */
public class NoticeMessage extends BaseEntity {

    @Comment("")
    @RColumn("id")
    @ApiPlace("/system/getNoticeMessageInfo")
    @ApiPlace("/system/updateNoticeMessage")
    @ApiPlace("/system/voidNoticeMessage")
    private long id;

    @Comment("消息代码")
    @RColumn("messagecode")
    @ApiPlace("/system/getNoticeMessageList")
    @ApiPlace("/system/getNoticeMessageInfo")
    @ApiPlace("/system/addNoticeMessage")
    private String messageCode;

    @Comment("消息名称")
    @RColumn("messagename")
    @ApiPlace("/system/getNoticeMessageList")
    @ApiPlace("/system/getNoticeMessageInfo")
    @ApiPlace("/system/addNoticeMessage")
    @ApiPlace("/system/updateNoticeMessage")
    private String messageName;

    @Comment("消息类型 0不发送 1站内信 2即时信息 3全部")
    @RColumn("messagekind")
    @ApiPlace("/system/getNoticeMessageList")
    @ApiPlace("/system/getNoticeMessageInfo")
    @ApiPlace("/system/addNoticeMessage")
    @ApiPlace("/system/updateNoticeMessage")
    private int messageKind;

    @Comment("启用、禁用标记")
    @RColumn("voidflag")
    @ApiPlace("/system/getNoticeMessageList")
    @ApiPlace("/system/voidNoticeMessage")
    private int voidFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getMessageName() {
        return messageName;
    }

    public void setMessageName(String messageName) {
        this.messageName = messageName;
    }

    public int getMessageKind() {
        return messageKind;
    }

    public void setMessageKind(int messageKind) {
        this.messageKind = messageKind;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }

    public String getMessageCode() {
        return messageCode;
    }

    public void setMessageCode(String messageCode) {
        this.messageCode = messageCode;
    }
}
